Browse code

Mostly docs cleanups

Fix documentation build errors and RST formatting

Change-Id: Id93153400c5b069dd9d772381558c7085f64c207

Dean Troyer authored on 2015/03/28 22:20:50
Showing 35 changed files
... ...
@@ -2,7 +2,7 @@
2 2
 
3 3
 # **exercise.sh**
4 4
 
5
-# Keep track of the current devstack directory.
5
+# Keep track of the current DevStack directory.
6 6
 TOP_DIR=$(cd $(dirname "$0") && pwd)
7 7
 
8 8
 # Import common functions
... ...
@@ -14,11 +14,11 @@ source $TOP_DIR/stackrc
14 14
 # Run everything in the exercises/ directory that isn't explicitly disabled
15 15
 
16 16
 # comma separated list of script basenames to skip
17
-# to refrain from exercising euca.sh use SKIP_EXERCISES=euca
17
+# to refrain from exercising euca.sh use ``SKIP_EXERCISES=euca``
18 18
 SKIP_EXERCISES=${SKIP_EXERCISES:-""}
19 19
 
20 20
 # comma separated list of script basenames to run
21
-# to run only euca.sh use RUN_EXERCISES=euca
21
+# to run only euca.sh use ``RUN_EXERCISES=euca``
22 22
 basenames=${RUN_EXERCISES:-""}
23 23
 
24 24
 EXERCISE_DIR=$TOP_DIR/exercises
... ...
@@ -27,7 +27,7 @@ if [[ -z "${basenames}" ]]; then
27 27
     # Locate the scripts we should run
28 28
     basenames=$(for b in `ls $EXERCISE_DIR/*.sh`; do basename $b .sh; done)
29 29
 else
30
-    # If RUN_EXERCISES was specified, ignore SKIP_EXERCISES.
30
+    # If ``RUN_EXERCISES`` was specified, ignore ``SKIP_EXERCISES``.
31 31
     SKIP_EXERCISES=
32 32
 fi
33 33
 
... ...
@@ -56,7 +56,7 @@ for script in $basenames; do
56 56
     fi
57 57
 done
58 58
 
59
-# output status of exercise run
59
+# Output status of exercise run
60 60
 echo "====================================================================="
61 61
 for script in $skips; do
62 62
     echo SKIP $script
... ...
@@ -439,7 +439,7 @@ function check_path_perm_sanity {
439 439
             echo "*** DEST path element"
440 440
             echo "***    ${rebuilt_path}"
441 441
             echo "*** appears to have 0700 permissions."
442
-            echo "*** This is very likely to cause fatal issues for devstack daemons."
442
+            echo "*** This is very likely to cause fatal issues for DevStack daemons."
443 443
 
444 444
             if [[ -n "$SKIP_PATH_SANITY" ]]; then
445 445
                 return
... ...
@@ -526,8 +526,8 @@ function setup_colorized_logging {
526 526
 }
527 527
 
528 528
 # These functions are provided for basic fall-back functionality for
529
-# projects that include parts of devstack (grenade).  stack.sh will
530
-# override these with more specific versions for devstack (with fancy
529
+# projects that include parts of DevStack (Grenade).  stack.sh will
530
+# override these with more specific versions for DevStack (with fancy
531 531
 # spinners, etc).  We never override an existing version
532 532
 if ! function_exists echo_summary; then
533 533
     function echo_summary {
... ...
@@ -971,7 +971,7 @@ function get_packages {
971 971
 #
972 972
 # Only packages required for enabled and collected plugins will included.
973 973
 #
974
-# The same metadata used in the main devstack prerequisite files may be used
974
+# The same metadata used in the main DevStack prerequisite files may be used
975 975
 # in these prerequisite files, see get_packages() for more info.
976 976
 function get_plugin_packages {
977 977
     local xtrace=$(set +o | grep xtrace)
... ...
@@ -1471,7 +1471,7 @@ function fetch_plugins {
1471 1471
         return
1472 1472
     fi
1473 1473
 
1474
-    echo "Fetching devstack plugins"
1474
+    echo "Fetching DevStack plugins"
1475 1475
     for plugin in ${plugins//,/ }; do
1476 1476
         git_clone_by_name $plugin
1477 1477
     done
... ...
@@ -4,7 +4,7 @@
4 4
 #
5 5
 # Note: this is expected to start running as jenkins
6 6
 
7
-# Step 1: give back sudoers permissions to devstack
7
+# Step 1: give back sudoers permissions to DevStack
8 8
 TEMPFILE=`mktemp`
9 9
 echo "stack ALL=(root) NOPASSWD:ALL" >$TEMPFILE
10 10
 chmod 0440 $TEMPFILE
... ...
@@ -4,7 +4,7 @@
4 4
 # Install and start **Ceilometer** service
5 5
 
6 6
 # To enable a minimal set of Ceilometer services, add the following to the
7
-# localrc section of local.conf:
7
+# ``localrc`` section of ``local.conf``:
8 8
 #
9 9
 #   enable_service ceilometer-acompute ceilometer-acentral ceilometer-anotification ceilometer-collector ceilometer-api
10 10
 #
... ...
@@ -17,14 +17,11 @@
17 17
 # of Ceilometer (see within for additional settings):
18 18
 #
19 19
 #   CEILOMETER_USE_MOD_WSGI:       When True, run the api under mod_wsgi.
20
-#   CEILOMETER_PIPELINE_INTERVAL:  The number of seconds between pipeline processing
21
-#                                  runs. Default 600.
22
-#   CEILOMETER_BACKEND:            The database backend (e.g. 'mysql', 'mongodb', 'es')
23
-#   CEILOMETER_COORDINATION_URL:   The URL for a group membership service provided
24
-#                                  by tooz.
20
+#   CEILOMETER_PIPELINE_INTERVAL:  Seconds between pipeline processing runs. Default 600.
21
+#   CEILOMETER_BACKEND:            Database backend (e.g. 'mysql', 'mongodb', 'es')
22
+#   CEILOMETER_COORDINATION_URL:   URL for group membership service provided by tooz.
25 23
 #   CEILOMETER_EVENTS:             Enable event collection
26 24
 
27
-
28 25
 # Dependencies:
29 26
 #
30 27
 # - functions
... ...
@@ -94,7 +91,7 @@ function is_ceilometer_enabled {
94 94
     return 1
95 95
 }
96 96
 
97
-# create_ceilometer_accounts() - Set up common required ceilometer accounts
97
+# create_ceilometer_accounts() - Set up common required Ceilometer accounts
98 98
 #
99 99
 # Project              User         Roles
100 100
 # ------------------------------------------------------------------
... ...
@@ -117,14 +114,14 @@ function create_ceilometer_accounts {
117 117
                 "$CEILOMETER_SERVICE_PROTOCOL://$CEILOMETER_SERVICE_HOST:$CEILOMETER_SERVICE_PORT/"
118 118
         fi
119 119
         if is_service_enabled swift; then
120
-            # Ceilometer needs ResellerAdmin role to access swift account stats.
120
+            # Ceilometer needs ResellerAdmin role to access Swift account stats.
121 121
             get_or_add_user_project_role "ResellerAdmin" "ceilometer" $SERVICE_TENANT_NAME
122 122
         fi
123 123
     fi
124 124
 }
125 125
 
126 126
 
127
-# _cleanup_keystone_apache_wsgi() - Remove wsgi files, disable and remove apache vhost file
127
+# _cleanup_keystone_apache_wsgi() - Remove WSGI files, disable and remove Apache vhost file
128 128
 function _cleanup_ceilometer_apache_wsgi {
129 129
     sudo rm -f $CEILOMETER_WSGI_DIR/*
130 130
     sudo rm -f $(apache_site_config_for ceilometer)
... ...
@@ -149,7 +146,7 @@ function _config_ceilometer_apache_wsgi {
149 149
     local ceilometer_apache_conf=$(apache_site_config_for ceilometer)
150 150
     local apache_version=$(get_apache_version)
151 151
 
152
-    # copy proxy vhost and wsgi file
152
+    # Copy proxy vhost and wsgi file
153 153
     sudo cp $CEILOMETER_DIR/ceilometer/api/app.wsgi $CEILOMETER_WSGI_DIR/app
154 154
 
155 155
     sudo cp $FILES/apache-ceilometer.template $ceilometer_apache_conf
... ...
@@ -189,9 +186,9 @@ function configure_ceilometer {
189 189
         sed -i "s/interval:.*/interval: ${CEILOMETER_PIPELINE_INTERVAL}/" $CEILOMETER_CONF_DIR/pipeline.yaml
190 190
     fi
191 191
 
192
-    # the compute and central agents need these credentials in order to
193
-    # call out to other services' public APIs
194
-    # the alarm evaluator needs these options to call ceilometer APIs
192
+    # The compute and central agents need these credentials in order to
193
+    # call out to other services' public APIs.
194
+    # The alarm evaluator needs these options to call ceilometer APIs
195 195
     iniset $CEILOMETER_CONF service_credentials os_username ceilometer
196 196
     iniset $CEILOMETER_CONF service_credentials os_password $SERVICE_PASSWORD
197 197
     iniset $CEILOMETER_CONF service_credentials os_tenant_name $SERVICE_TENANT_NAME
... ...
@@ -237,7 +234,7 @@ function configure_ceilometer {
237 237
 }
238 238
 
239 239
 function configure_mongodb {
240
-    # server package is the same on all
240
+    # Server package is the same on all
241 241
     local packages=mongodb-server
242 242
 
243 243
     if is_fedora; then
... ...
@@ -250,13 +247,13 @@ function configure_mongodb {
250 250
     install_package ${packages}
251 251
 
252 252
     if is_fedora; then
253
-        # ensure smallfiles selected to minimize freespace requirements
253
+        # Ensure smallfiles is selected to minimize freespace requirements
254 254
         sudo sed -i '/--smallfiles/!s/OPTIONS=\"/OPTIONS=\"--smallfiles /' /etc/sysconfig/mongod
255 255
 
256 256
         restart_service mongod
257 257
     fi
258 258
 
259
-    # give mongodb time to start-up
259
+    # Give mongodb time to start-up
260 260
     sleep 5
261 261
 }
262 262
 
... ...
@@ -347,7 +344,7 @@ function start_ceilometer {
347 347
         run_process ceilometer-acompute "ceilometer-agent-compute --config-file $CEILOMETER_CONF"
348 348
     fi
349 349
 
350
-    # only die on API if it was actually intended to be turned on
350
+    # Only die on API if it was actually intended to be turned on
351 351
     if is_service_enabled ceilometer-api; then
352 352
         echo "Waiting for ceilometer-api to start..."
353 353
         if ! wait_for_service $SERVICE_TIMEOUT $CEILOMETER_SERVICE_PROTOCOL://$CEILOMETER_SERVICE_HOST:$CEILOMETER_SERVICE_PORT/v2/; then
... ...
@@ -41,7 +41,7 @@ function start_dstat {
41 41
 # stop_dstat() stop dstat process
42 42
 function stop_dstat {
43 43
     # dstat runs as a console, not as a service, and isn't trackable
44
-    # via the normal mechanisms for devstack. So lets just do a
44
+    # via the normal mechanisms for DevStack. So lets just do a
45 45
     # killall and move on.
46 46
     killall dstat || /bin/true
47 47
 }
... ...
@@ -129,7 +129,7 @@ function init_horizon {
129 129
     fi
130 130
     enable_apache_site horizon
131 131
 
132
-    # Remove old log files that could mess with how devstack detects whether Horizon
132
+    # Remove old log files that could mess with how DevStack detects whether Horizon
133 133
     # has been successfully started (see start_horizon() and functions::screen_it())
134 134
     # and run_process
135 135
     sudo rm -f /var/log/$APACHE_NAME/horizon_*
... ...
@@ -53,7 +53,7 @@ IRONIC_HW_EPHEMERAL_DISK=${IRONIC_HW_EPHEMERAL_DISK:-0}
53 53
 # The file is composed of multiple lines, each line includes four field
54 54
 # separated by white space: IPMI address, MAC address, IPMI username
55 55
 # and IPMI password.
56
-# An example:
56
+#
57 57
 #   192.168.110.107 00:1e:67:57:50:4c root otc123
58 58
 IRONIC_IPMIINFO_FILE=${IRONIC_IPMIINFO_FILE:-$IRONIC_DATA_DIR/hardware_info}
59 59
 
... ...
@@ -99,10 +99,10 @@ IRONIC_AGENT_KERNEL_URL=${IRONIC_AGENT_KERNEL_URL:-http://tarballs.openstack.org
99 99
 IRONIC_AGENT_RAMDISK_URL=${IRONIC_AGENT_RAMDISK_URL:-http://tarballs.openstack.org/ironic-python-agent/coreos/files/coreos_production_pxe_image-oem.cpio.gz}
100 100
 
101 101
 # Which deploy driver to use - valid choices right now
102
-# are 'pxe_ssh', 'pxe_ipmitool', 'agent_ssh' and 'agent_ipmitool'.
102
+# are ``pxe_ssh``, ``pxe_ipmitool``, ``agent_ssh`` and ``agent_ipmitool``.
103 103
 IRONIC_DEPLOY_DRIVER=${IRONIC_DEPLOY_DRIVER:-pxe_ssh}
104 104
 
105
-#TODO(agordeev): replace 'ubuntu' with host distro name getting
105
+# TODO(agordeev): replace 'ubuntu' with host distro name getting
106 106
 IRONIC_DEPLOY_FLAVOR=${IRONIC_DEPLOY_FLAVOR:-ubuntu $IRONIC_DEPLOY_ELEMENT}
107 107
 
108 108
 # Support entry points installation of console scripts
... ...
@@ -1,3 +1,5 @@
1
+#!/bin/bash
2
+#
1 3
 # lib/lvm
2 4
 # Configure the default LVM volume group used by Cinder and Nova
3 5
 
... ...
@@ -32,8 +34,8 @@ DEFAULT_VOLUME_GROUP_NAME=$VOLUME_GROUP_NAME-default
32 32
 BACKING_FILE_SUFFIX=-backing-file
33 33
 
34 34
 
35
-# Entry Points
36
-# ------------
35
+# Functions
36
+# ---------
37 37
 
38 38
 # _clean_lvm_volume_group removes all default LVM volumes
39 39
 #
... ...
@@ -52,7 +54,7 @@ function _clean_lvm_volume_group {
52 52
 function _clean_lvm_backing_file {
53 53
     local backing_file=$1
54 54
 
55
-    # if the backing physical device is a loop device, it was probably setup by devstack
55
+    # If the backing physical device is a loop device, it was probably setup by DevStack
56 56
     if [[ -n "$backing_file" ]] && [[ -e "$backing_file" ]]; then
57 57
         local vg_dev=$(sudo losetup -j $backing_file | awk -F':' '/'$BACKING_FILE_SUFFIX'/ { print $1}')
58 58
         sudo losetup -d $vg_dev
... ...
@@ -55,8 +55,9 @@ NOVA_CELLS_DB=${NOVA_CELLS_DB:-nova_cell}
55 55
 
56 56
 NOVA_API_PASTE_INI=${NOVA_API_PASTE_INI:-$NOVA_CONF_DIR/api-paste.ini}
57 57
 # NOVA_API_VERSION valid options
58
-#   - default - setup API end points as nova does out of the box
59
-#   - v21default - make v21 the default on /v2
58
+# - default - setup API end points as nova does out of the box
59
+# - v21default - make v21 the default on /v2
60
+#
60 61
 # NOTE(sdague): this is for transitional testing of the Nova v21 API.
61 62
 # Expect to remove in L or M.
62 63
 NOVA_API_VERSION=${NOVA_API_VERSION-default}
... ...
@@ -77,7 +78,7 @@ EC2_SERVICE_PORT=${EC2_SERVICE_PORT:-8773}
77 77
 EC2_SERVICE_PORT_INT=${EC2_SERVICE_PORT_INT:-18773}
78 78
 
79 79
 # Option to enable/disable config drive
80
-# NOTE: Set FORCE_CONFIG_DRIVE="False" to turn OFF config drive
80
+# NOTE: Set ``FORCE_CONFIG_DRIVE="False"`` to turn OFF config drive
81 81
 FORCE_CONFIG_DRIVE=${FORCE_CONFIG_DRIVE:-"True"}
82 82
 
83 83
 # Nova supports pluggable schedulers.  The default ``FilterScheduler``
... ...
@@ -89,11 +90,11 @@ QEMU_CONF=/etc/libvirt/qemu.conf
89 89
 # Set default defaults here as some hypervisor drivers override these
90 90
 PUBLIC_INTERFACE_DEFAULT=br100
91 91
 FLAT_NETWORK_BRIDGE_DEFAULT=br100
92
-# set the GUEST_INTERFACE_DEFAULT to some interface on the box so that
93
-# the default isn't completely crazy. This will match eth*, em*, or
94
-# the new p* interfaces, then basically picks the first
92
+# Set ``GUEST_INTERFACE_DEFAULT`` to some interface on the box so that
93
+# the default isn't completely crazy. This will match ``eth*``, ``em*``, or
94
+# the new ``p*`` interfaces, then basically picks the first
95 95
 # alphabetically. It's probably wrong, however it's less wrong than
96
-# always using 'eth0' which doesn't exist on new Linux distros at all.
96
+# always using ``eth0`` which doesn't exist on new Linux distros at all.
97 97
 GUEST_INTERFACE_DEFAULT=$(ip link \
98 98
     | grep 'state UP' \
99 99
     | awk '{print $2}' \
... ...
@@ -101,8 +102,8 @@ GUEST_INTERFACE_DEFAULT=$(ip link \
101 101
     | grep ^[ep] \
102 102
     | head -1)
103 103
 
104
-# $NOVA_VNC_ENABLED can be used to forcibly enable vnc configuration.
105
-# In multi-node setups allows compute hosts to not run n-novnc.
104
+# ``NOVA_VNC_ENABLED`` can be used to forcibly enable VNC configuration.
105
+# In multi-node setups allows compute hosts to not run ``n-novnc``.
106 106
 NOVA_VNC_ENABLED=$(trueorfalse False NOVA_VNC_ENABLED)
107 107
 
108 108
 # Get hypervisor configuration
... ...
@@ -144,7 +145,7 @@ FLAT_INTERFACE=${FLAT_INTERFACE:-$GUEST_INTERFACE_DEFAULT}
144 144
 # running the VM - removing a SPOF and bandwidth bottleneck.
145 145
 MULTI_HOST=$(trueorfalse False MULTI_HOST)
146 146
 
147
-# ``NOVA_ALLOW_MOVE_TO_SAME_HOST` can be set to False in multi node devstack,
147
+# ``NOVA_ALLOW_MOVE_TO_SAME_HOST`` can be set to False in multi node DevStack,
148 148
 # where there are at least two nova-computes.
149 149
 NOVA_ALLOW_MOVE_TO_SAME_HOST=$(trueorfalse True NOVA_ALLOW_MOVE_TO_SAME_HOST)
150 150
 
... ...
@@ -2,7 +2,7 @@
2 2
 #
3 3
 # lib/oslo
4 4
 #
5
-# Functions to install oslo libraries from git
5
+# Functions to install **Oslo** libraries from git
6 6
 #
7 7
 # We need this to handle the fact that projects would like to use
8 8
 # pre-released versions of oslo libraries.
... ...
@@ -46,8 +46,9 @@ GITDIR["tooz"]=$DEST/tooz
46 46
 # Support entry points installation of console scripts
47 47
 OSLO_BIN_DIR=$(get_python_exec_prefix)
48 48
 
49
-# Entry Points
50
-# ------------
49
+
50
+# Functions
51
+# ---------
51 52
 
52 53
 function _do_install_oslo_lib {
53 54
     local name=$1
... ...
@@ -1,8 +1,7 @@
1 1
 #!/bin/bash
2 2
 #
3 3
 # lib/rpc_backend
4
-# Interface for interactig with different rpc backend
5
-# rpc backend settings
4
+# Interface for interactig with different RPC backends
6 5
 
7 6
 # Dependencies:
8 7
 #
... ...
@@ -27,10 +26,10 @@ RPC_MESSAGING_PROTOCOL=${RPC_MESSAGING_PROTOCOL:-0.9}
27 27
 # messaging server as a service, which it really isn't for multi host
28 28
 QPID_HOST=${QPID_HOST:-}
29 29
 
30
+
30 31
 # Functions
31 32
 # ---------
32 33
 
33
-
34 34
 # Make sure we only have one rpc backend enabled.
35 35
 # Also check the specified rpc backend is available on your platform.
36 36
 function check_rpc_backend {
... ...
@@ -2,15 +2,18 @@
2 2
 #
3 3
 # lib/stack
4 4
 #
5
-# These functions are code snippets pulled out of stack.sh for easier
5
+# These functions are code snippets pulled out of ``stack.sh`` for easier
6 6
 # re-use by Grenade.  They can assume the same environment is available
7
-# as in the lower part of stack.sh, namely a valid stackrc has been sourced
8
-# as well as all of the lib/* files for the services have been sourced.
7
+# as in the lower part of ``stack.sh``, namely a valid stackrc has been sourced
8
+# as well as all of the ``lib/*`` files for the services have been sourced.
9 9
 #
10 10
 # For clarity, all functions declared here that came from ``stack.sh``
11 11
 # shall be named with the prefix ``stack_``.
12 12
 
13 13
 
14
+# Functions
15
+# ---------
16
+
14 17
 # Generic service install handles venv creation if confgured for service
15 18
 # stack_install_service service
16 19
 function stack_install_service {
... ...
@@ -38,7 +38,6 @@ fi
38 38
 # Set up default directories
39 39
 GITDIR["python-swiftclient"]=$DEST/python-swiftclient
40 40
 
41
-
42 41
 SWIFT_DIR=$DEST/swift
43 42
 SWIFT_AUTH_CACHE_DIR=${SWIFT_AUTH_CACHE_DIR:-/var/cache/swift}
44 43
 SWIFT_APACHE_WSGI_DIR=${SWIFT_APACHE_WSGI_DIR:-/var/www/swift}
... ...
@@ -59,7 +58,7 @@ SWIFT_DISK_IMAGE=${SWIFT_DATA_DIR}/drives/images/swift.img
59 59
 SWIFT_CONF_DIR=${SWIFT_CONF_DIR:-/etc/swift}
60 60
 
61 61
 if is_service_enabled s-proxy && is_service_enabled swift3; then
62
-    # If we are using swift3, we can default the s3 port to swift instead
62
+    # If we are using ``swift3``, we can default the S3 port to swift instead
63 63
     # of nova-objectstore
64 64
     S3_SERVICE_PORT=${S3_SERVICE_PORT:-8080}
65 65
 fi
... ...
@@ -137,11 +136,12 @@ ACCOUNT_PORT_BASE=${ACCOUNT_PORT_BASE:-6012}
137 137
 SWIFT_ENABLE_TEMPURLS=${SWIFT_ENABLE_TEMPURLS:-False}
138 138
 SWIFT_TEMPURL_KEY=${SWIFT_TEMPURL_KEY:-}
139 139
 
140
+# Toggle for deploying Swift under HTTPD + mod_wsgi
141
+SWIFT_USE_MOD_WSGI=${SWIFT_USE_MOD_WSGI:-False}
142
+
140 143
 # Tell Tempest this project is present
141 144
 TEMPEST_SERVICES+=,swift
142 145
 
143
-# Toggle for deploying Swift under HTTPD + mod_wsgi
144
-SWIFT_USE_MOD_WSGI=${SWIFT_USE_MOD_WSGI:-False}
145 146
 
146 147
 # Functions
147 148
 # ---------
... ...
@@ -303,7 +303,6 @@ function generate_swift_config_services {
303 303
     sed -i -e "s,#[ ]*recon_cache_path .*,recon_cache_path = ${SWIFT_DATA_DIR}/cache," ${swift_node_config}
304 304
 }
305 305
 
306
-
307 306
 # configure_swift() - Set config files, create data dirs and loop image
308 307
 function configure_swift {
309 308
     local swift_pipeline="${SWIFT_EXTRAS_MIDDLEWARE_NO_AUTH}"
... ...
@@ -374,12 +373,9 @@ function configure_swift {
374 374
         iniset ${SWIFT_CONFIG_PROXY_SERVER} DEFAULT key_file "$SWIFT_SSL_KEY"
375 375
     fi
376 376
 
377
-    # Devstack is commonly run in a small slow environment, so bump the
378
-    # timeouts up.
379
-    # node_timeout is how long between read operations a node takes to
380
-    # respond to the proxy server
381
-    # conn_timeout is all about how long it takes a connect() system call to
382
-    # return
377
+    # DevStack is commonly run in a small slow environment, so bump the timeouts up.
378
+    # ``node_timeout`` is the node read operation response time to the proxy server
379
+    # ``conn_timeout`` is how long it takes a connect() system call to return
383 380
     iniset ${SWIFT_CONFIG_PROXY_SERVER} app:proxy-server node_timeout 120
384 381
     iniset ${SWIFT_CONFIG_PROXY_SERVER} app:proxy-server conn_timeout 20
385 382
 
... ...
@@ -394,10 +390,10 @@ function configure_swift {
394 394
         SWIFT_EXTRAS_MIDDLEWARE_LAST="${SWIFT_EXTRAS_MIDDLEWARE_LAST} ceilometer"
395 395
     fi
396 396
 
397
-    # Restrict the length of auth tokens in the swift proxy-server logs.
397
+    # Restrict the length of auth tokens in the Swift ``proxy-server`` logs.
398 398
     iniset ${SWIFT_CONFIG_PROXY_SERVER} filter:proxy-logging reveal_sensitive_prefix ${SWIFT_LOG_TOKEN_LENGTH}
399 399
 
400
-    # By default Swift will be installed with keystone and tempauth middleware
400
+    # By default Swift will be installed with Keystone and tempauth middleware
401 401
     # and add the swift3 middleware if its configured for it. The token for
402 402
     # tempauth would be prefixed with the reseller_prefix setting `TEMPAUTH_` the
403 403
     # token for keystoneauth would have the standard reseller_prefix `AUTH_`
... ...
@@ -413,17 +409,13 @@ function configure_swift {
413 413
     sed -i "/^pipeline/ { s/tempauth/${swift_pipeline} ${SWIFT_EXTRAS_MIDDLEWARE}/ ;}" ${SWIFT_CONFIG_PROXY_SERVER}
414 414
     sed -i "/^pipeline/ { s/proxy-server/${SWIFT_EXTRAS_MIDDLEWARE_LAST} proxy-server/ ; }" ${SWIFT_CONFIG_PROXY_SERVER}
415 415
 
416
-
417 416
     iniset ${SWIFT_CONFIG_PROXY_SERVER} app:proxy-server account_autocreate true
418 417
 
419
-
420
-
421 418
     # Configure Crossdomain
422 419
     iniset ${SWIFT_CONFIG_PROXY_SERVER} filter:crossdomain use "egg:swift#crossdomain"
423 420
 
424
-
425
-    # This causes the authtoken middleware to use the same python logging
426
-    # adapter provided by the swift proxy-server, so that request transaction
421
+    # Configure authtoken middleware to use the same Python logging
422
+    # adapter provided by the Swift ``proxy-server``, so that request transaction
427 423
     # IDs will included in all of its log messages.
428 424
     iniset ${SWIFT_CONFIG_PROXY_SERVER} filter:authtoken log_name swift
429 425
 
... ...
@@ -436,7 +428,7 @@ function configure_swift {
436 436
     iniset ${SWIFT_CONFIG_PROXY_SERVER} filter:keystoneauth use "egg:swift#keystoneauth"
437 437
     iniset ${SWIFT_CONFIG_PROXY_SERVER} filter:keystoneauth operator_roles "Member, admin"
438 438
 
439
-    # Configure Tempauth. In the sample config file, Keystoneauth is commented
439
+    # Configure Tempauth. In the sample config file Keystoneauth is commented
440 440
     # out. Make sure we uncomment Tempauth after we uncomment Keystoneauth
441 441
     # otherwise, this code also sets the reseller_prefix for Keystoneauth.
442 442
     iniuncomment ${SWIFT_CONFIG_PROXY_SERVER} filter:tempauth account_autocreate
... ...
@@ -579,7 +571,8 @@ function create_swift_disk {
579 579
         sudo chown -R ${STACK_USER}: ${node}
580 580
     done
581 581
 }
582
-# create_swift_accounts() - Set up standard swift accounts and extra
582
+
583
+# create_swift_accounts() - Set up standard Swift accounts and extra
583 584
 # one for tests we do this by attaching all words in the account name
584 585
 # since we want to make it compatible with tempauth which use
585 586
 # underscores for separators.
... ...
@@ -593,9 +586,9 @@ function create_swift_disk {
593 593
 # swifttenanttest4   swiftusertest4     admin          swift_test
594 594
 
595 595
 function create_swift_accounts {
596
-    # Defines specific passwords used by tools/create_userrc.sh
597
-    # As these variables are used by create_userrc.sh, they must be exported
598
-    # The _password suffix is expected by create_userrc.sh
596
+    # Defines specific passwords used by ``tools/create_userrc.sh``
597
+    # As these variables are used by ``create_userrc.sh,`` they must be exported
598
+    # The _password suffix is expected by ``create_userrc.sh``.
599 599
     export swiftusertest1_password=testing
600 600
     export swiftusertest2_password=testing2
601 601
     export swiftusertest3_password=testing3
... ...
@@ -725,8 +718,8 @@ function start_swift {
725 725
 
726 726
     # By default with only one replica we are launching the proxy,
727 727
     # container, account and object server in screen in foreground and
728
-    # other services in background. If we have SWIFT_REPLICAS set to something
729
-    # greater than one we first spawn all the swift services then kill the proxy
728
+    # other services in background. If we have ``SWIFT_REPLICAS`` set to something
729
+    # greater than one we first spawn all the Swift services then kill the proxy
730 730
     # service so we can run it in foreground in screen.  ``swift-init ...
731 731
     # {stop|restart}`` exits with '1' if no servers are running, ignore it just
732 732
     # in case
... ...
@@ -762,7 +755,7 @@ function stop_swift {
762 762
         swift-init --run-dir=${SWIFT_DATA_DIR}/run rest stop && return 0
763 763
     fi
764 764
 
765
-    # screen normally killed by unstack.sh
765
+    # screen normally killed by ``unstack.sh``
766 766
     if type -p swift-init >/dev/null; then
767 767
         swift-init --run-dir=${SWIFT_DATA_DIR}/run all stop || true
768 768
     fi
... ...
@@ -62,13 +62,11 @@ BUILD_INTERVAL=1
62 62
 # The default is set to 196 seconds.
63 63
 BUILD_TIMEOUT=${BUILD_TIMEOUT:-196}
64 64
 
65
-
66 65
 # This must be False on stable branches, as master tempest
67 66
 # deps do not match stable branch deps. Set this to True to
68
-# have tempest installed in devstack by default.
67
+# have tempest installed in DevStack by default.
69 68
 INSTALL_TEMPEST=${INSTALL_TEMPEST:-"True"}
70 69
 
71
-
72 70
 BOTO_MATERIALS_PATH="$FILES/images/s3-materials/cirros-${CIRROS_VERSION}"
73 71
 BOTO_CONF=/etc/boto.cfg
74 72
 
... ...
@@ -83,6 +81,7 @@ TEMPEST_STORAGE_PROTOCOL=${TEMPEST_STORAGE_PROTOCOL:-$TEMPEST_DEFAULT_STORAGE_PR
83 83
 IPV6_ENABLED=$(trueorfalse True IPV6_ENABLED)
84 84
 IPV6_SUBNET_ATTRIBUTES_ENABLED=$(trueorfalse True IPV6_SUBNET_ATTRIBUTES_ENABLED)
85 85
 
86
+
86 87
 # Functions
87 88
 # ---------
88 89
 
... ...
@@ -168,8 +167,8 @@ function configure_tempest {
168 168
         esac
169 169
     fi
170 170
 
171
-    # Create tempest.conf from tempest.conf.sample
172
-    # copy every time, because the image UUIDS are going to change
171
+    # Create ``tempest.conf`` from ``tempest.conf.sample``
172
+    # Copy every time because the image UUIDS are going to change
173 173
     sudo install -d -o $STACK_USER $TEMPEST_CONFIG_DIR
174 174
     install -m 644 $TEMPEST_DIR/etc/tempest.conf.sample $TEMPEST_CONFIG
175 175
 
... ...
@@ -179,8 +178,8 @@ function configure_tempest {
179 179
     # the cloud. We don't always want to so that we can ensure Tempest
180 180
     # would work on a public cloud.
181 181
     TEMPEST_HAS_ADMIN=$(trueorfalse True TEMPEST_HAS_ADMIN)
182
-    # See files/keystone_data.sh and stack.sh where admin, demo and alt_demo
183
-    # user and tenant are set up...
182
+
183
+    # See ``lib/keystone`` where these users and tenants are set up
184 184
     ADMIN_USERNAME=${ADMIN_USERNAME:-admin}
185 185
     ADMIN_TENANT_NAME=${ADMIN_TENANT_NAME:-admin}
186 186
     ADMIN_DOMAIN_NAME=${ADMIN_DOMAIN_NAME:-Default}
... ...
@@ -191,13 +190,13 @@ function configure_tempest {
191 191
     ADMIN_TENANT_ID=$(openstack project list | awk "/ admin / { print \$2 }")
192 192
 
193 193
     if is_service_enabled nova; then
194
-        # If the ``DEFAULT_INSTANCE_TYPE`` not declared, use the new behavior
195
-        # Tempest creates instane types for himself
194
+        # If ``DEFAULT_INSTANCE_TYPE`` is not declared, use the new behavior
195
+        # Tempest creates its own instance types
196 196
         if  [[ -z "$DEFAULT_INSTANCE_TYPE" ]]; then
197 197
             available_flavors=$(nova flavor-list)
198 198
             if [[ ! ( $available_flavors =~ 'm1.nano' ) ]]; then
199 199
                 if is_arch "ppc64"; then
200
-                    # qemu needs at least 128MB of memory to boot on ppc64
200
+                    # Qemu needs at least 128MB of memory to boot on ppc64
201 201
                     nova flavor-create m1.nano 42 128 0 1
202 202
                 else
203 203
                     nova flavor-create m1.nano 42 64 0 1
... ...
@@ -214,8 +213,7 @@ function configure_tempest {
214 214
             fi
215 215
             flavor_ref_alt=84
216 216
         else
217
-            # Check Nova for existing flavors and, if set, look for the
218
-            # ``DEFAULT_INSTANCE_TYPE`` and use that.
217
+            # Check Nova for existing flavors, if ``DEFAULT_INSTANCE_TYPE`` is set use it.
219 218
             boto_instance_type=$DEFAULT_INSTANCE_TYPE
220 219
             flavor_lines=`nova flavor-list`
221 220
             IFS=$'\r\n'
... ...
@@ -240,8 +238,8 @@ function configure_tempest {
240 240
             flavor_ref=${flavors[0]}
241 241
             flavor_ref_alt=$flavor_ref
242 242
 
243
-            # ensure flavor_ref and flavor_ref_alt have different values
244
-            # some resize instance in tempest tests depends on this.
243
+            # Ensure ``flavor_ref`` and ``flavor_ref_alt`` have different values.
244
+            # Some resize instance in tempest tests depends on this.
245 245
             for f in ${flavors[@]:1}; do
246 246
                 if [[ $f -ne $flavor_ref ]]; then
247 247
                     flavor_ref_alt=$f
... ...
@@ -266,7 +264,7 @@ function configure_tempest {
266 266
         public_network_id=$(neutron net-list | grep $PUBLIC_NETWORK_NAME | \
267 267
             awk '{print $2}')
268 268
         if [ "$Q_USE_NAMESPACE" == "False" ]; then
269
-            # If namespaces are disabled, devstack will create a single
269
+            # If namespaces are disabled, DevStack will create a single
270 270
             # public router that tempest should be configured to use.
271 271
             public_router_id=$(neutron router-list | awk "/ $Q_ROUTER_NAME / \
272 272
                 { print \$2 }")
... ...
@@ -274,6 +272,7 @@ function configure_tempest {
274 274
     fi
275 275
 
276 276
     iniset $TEMPEST_CONFIG DEFAULT use_syslog $SYSLOG
277
+
277 278
     # Oslo
278 279
     iniset $TEMPEST_CONFIG oslo_concurrency lock_path $TEMPEST_STATE_PATH
279 280
     mkdir -p $TEMPEST_STATE_PATH
... ...
@@ -309,15 +308,13 @@ function configure_tempest {
309 309
     fi
310 310
 
311 311
     # Image
312
-    # for the gate we want to be able to override this variable so we aren't
313
-    # doing an HTTP fetch over the wide internet for this test
312
+    # We want to be able to override this variable in the gate to avoid
313
+    # doing an external HTTP fetch for this test.
314 314
     if [[ ! -z "$TEMPEST_HTTP_IMAGE" ]]; then
315 315
         iniset $TEMPEST_CONFIG image http_image $TEMPEST_HTTP_IMAGE
316 316
     fi
317 317
 
318 318
     # Auth
319
-    #
320
-    #
321 319
     TEMPEST_ALLOW_TENANT_ISOLATION=${TEMPEST_ALLOW_TENANT_ISOLATION:-$TEMPEST_HAS_ADMIN}
322 320
     iniset $TEMPEST_CONFIG auth allow_tenant_isolation ${TEMPEST_ALLOW_TENANT_ISOLATION:-True}
323 321
     iniset $TEMPEST_CONFIG auth tempest_roles "Member"
... ...
@@ -336,7 +333,7 @@ function configure_tempest {
336 336
     iniset $TEMPEST_CONFIG compute ssh_connect_method $ssh_connect_method
337 337
 
338 338
     # Compute Features
339
-    # Run verify_tempest_config -ur to retrieve enabled extensions on API endpoints
339
+    # Run ``verify_tempest_config -ur`` to retrieve enabled extensions on API endpoints
340 340
     # NOTE(mtreinish): This must be done after auth settings are added to the tempest config
341 341
     local tmp_cfg_file=$(mktemp)
342 342
     cd $TEMPEST_DIR
... ...
@@ -417,11 +414,11 @@ function configure_tempest {
417 417
     iniset $TEMPEST_CONFIG scenario large_ops_number ${TEMPEST_LARGE_OPS_NUMBER:-0}
418 418
 
419 419
     # Telemetry
420
-    # Ceilometer API optimization happened in juno that allows to run more tests in tempest.
420
+    # Ceilometer API optimization happened in Juno that allows to run more tests in tempest.
421 421
     # Once Tempest retires support for icehouse this flag can be removed.
422 422
     iniset $TEMPEST_CONFIG telemetry too_slow_to_test "False"
423 423
 
424
-    # Object storage
424
+    # Object Store
425 425
     local object_storage_api_extensions=${OBJECT_STORAGE_API_EXTENSIONS:-"all"}
426 426
     if [[ ! -z "$DISABLE_OBJECT_STORAGE_API_EXTENSIONS" ]]; then
427 427
         # Enabled extensions are either the ones explicitly specified or those available on the API endpoint
... ...
@@ -445,7 +442,7 @@ function configure_tempest {
445 445
         iniset $TEMPEST_CONFIG volume-feature-enabled backup False
446 446
     fi
447 447
 
448
-    # Using CINDER_ENABLED_BACKENDS
448
+    # Using ``CINDER_ENABLED_BACKENDS``
449 449
     if [[ -n "$CINDER_ENABLED_BACKENDS" ]] && [[ $CINDER_ENABLED_BACKENDS =~ .*,.* ]]; then
450 450
         iniset $TEMPEST_CONFIG volume-feature-enabled multi_backend "True"
451 451
         local i=1
... ...
@@ -470,7 +467,7 @@ function configure_tempest {
470 470
     iniset $TEMPEST_CONFIG dashboard dashboard_url "http://$SERVICE_HOST/"
471 471
     iniset $TEMPEST_CONFIG dashboard login_url "http://$SERVICE_HOST/auth/login/"
472 472
 
473
-    # cli
473
+    # CLI
474 474
     iniset $TEMPEST_CONFIG cli cli_dir $NOVA_BIN_DIR
475 475
 
476 476
     # Baremetal
... ...
@@ -495,7 +492,7 @@ function configure_tempest {
495 495
         iniset $TEMPEST_CONFIG compute-feature-enabled suspend False
496 496
     fi
497 497
 
498
-    # service_available
498
+    # ``service_available``
499 499
     for service in ${TEMPEST_SERVICES//,/ }; do
500 500
         if is_service_enabled $service ; then
501 501
             iniset $TEMPEST_CONFIG service_available $service "True"
... ...
@@ -505,7 +502,7 @@ function configure_tempest {
505 505
     done
506 506
 
507 507
     if is_ssl_enabled_service "key" || is_service_enabled tls-proxy; then
508
-        # Use the BOTO_CONFIG environment variable to point to this file
508
+        # Use the ``BOTO_CONFIG`` environment variable to point to this file
509 509
         iniset $BOTO_CONF Boto ca_certificates_file $SSL_BUNDLE_FILE
510 510
         sudo chown $STACK_USER $BOTO_CONF
511 511
     fi
... ...
@@ -520,7 +517,6 @@ function configure_tempest {
520 520
 # ------------------------------------------------------------------
521 521
 # alt_demo             alt_demo     Member
522 522
 
523
-# Migrated from keystone_data.sh
524 523
 function create_tempest_accounts {
525 524
     if is_service_enabled tempest; then
526 525
         # Tempest has some tests that validate various authorization checks
... ...
@@ -531,13 +527,13 @@ function create_tempest_accounts {
531 531
     fi
532 532
 }
533 533
 
534
-# install_tempest_lib() - Collect source, prepare, and install tempest-lib
534
+# install_tempest_lib() - Collect source, prepare, and install ``tempest-lib``
535 535
 function install_tempest_lib {
536 536
     if use_library_from_git "tempest-lib"; then
537 537
         git_clone_by_name "tempest-lib"
538 538
         setup_dev_lib "tempest-lib"
539
-        # NOTE(mtreinish) For testing tempest-lib from git with tempest we need
540
-        # put the git version of tempest-lib in the tempest job's tox venv
539
+        # NOTE(mtreinish) For testing ``tempest-lib`` from git with Tempest we need to
540
+        # put the git version of ``tempest-lib`` in the Tempest job's tox venv
541 541
         export PIP_VIRTUAL_ENV=${PROJECT_VENV["tempest"]}
542 542
         setup_dev_lib "tempest-lib"
543 543
         unset PIP_VIRTUAL_ENV
... ...
@@ -555,7 +551,7 @@ function install_tempest {
555 555
     popd
556 556
 }
557 557
 
558
-# init_tempest() - Initialize ec2 images
558
+# init_tempest() - Initialize EC2 images
559 559
 function init_tempest {
560 560
     local base_image_name=cirros-${CIRROS_VERSION}-${CIRROS_ARCH}
561 561
     # /opt/stack/devstack/files/images/cirros-${CIRROS_VERSION}-${CIRROS_ARCH}-uec
... ...
@@ -564,7 +560,7 @@ function init_tempest {
564 564
     local ramdisk="$image_dir/${base_image_name}-initrd"
565 565
     local disk_image="$image_dir/${base_image_name}-blank.img"
566 566
     if is_service_enabled nova; then
567
-        # if the cirros uec downloaded and the system is uec capable
567
+        # If the CirrOS uec downloaded and the system is UEC capable
568 568
         if [ -f "$kernel" -a -f "$ramdisk" -a -f "$disk_image" -a  "$VIRT_DRIVER" != "openvz" \
569 569
             -a \( "$LIBVIRT_TYPE" != "lxc" -o "$VIRT_DRIVER" != "libvirt" \) ]; then
570 570
             echo "Prepare aki/ari/ami Images"
... ...
@@ -32,6 +32,7 @@
32 32
 # - is_ssl_enabled_service
33 33
 # - enable_mod_ssl
34 34
 
35
+
35 36
 # Defaults
36 37
 # --------
37 38
 
... ...
@@ -92,7 +93,6 @@ function create_CA_base {
92 92
     cp /dev/null $ca_dir/index.txt
93 93
 }
94 94
 
95
-
96 95
 # Create a new CA configuration file
97 96
 # create_CA_config ca-dir common-name
98 97
 function create_CA_config {
... ...
@@ -248,7 +248,6 @@ function init_cert {
248 248
     fi
249 249
 }
250 250
 
251
-
252 251
 # make_cert creates and signs a new certificate with the given commonName and CA
253 252
 # make_cert ca-dir cert-name "common-name" ["alt-name" ...]
254 253
 function make_cert {
... ...
@@ -287,7 +286,6 @@ function make_cert {
287 287
     fi
288 288
 }
289 289
 
290
-
291 290
 # Make an intermediate CA to sign everything else
292 291
 # make_int_CA ca-dir signing-ca-dir
293 292
 function make_int_CA {
... ...
@@ -362,17 +360,16 @@ function is_ssl_enabled_service {
362 362
     return 1
363 363
 }
364 364
 
365
-
366 365
 # Ensure that the certificates for a service are in place. This function does
367 366
 # not check that a service is SSL enabled, this should already have been
368 367
 # completed.
369 368
 #
370 369
 # The function expects to find a certificate, key and CA certificate in the
371
-# variables {service}_SSL_CERT, {service}_SSL_KEY and {service}_SSL_CA. For
372
-# example for keystone this would be KEYSTONE_SSL_CERT, KEYSTONE_SSL_KEY and
373
-# KEYSTONE_SSL_CA.
370
+# variables ``{service}_SSL_CERT``, ``{service}_SSL_KEY`` and ``{service}_SSL_CA``. For
371
+# example for keystone this would be ``KEYSTONE_SSL_CERT``, ``KEYSTONE_SSL_KEY`` and
372
+# ``KEYSTONE_SSL_CA``.
374 373
 #
375
-# If it does not find these certificates then the devstack-issued server
374
+# If it does not find these certificates then the DevStack-issued server
376 375
 # certificate, key and CA certificate will be associated with the service.
377 376
 #
378 377
 # If only some of the variables are provided then the function will quit.
... ...
@@ -437,14 +434,12 @@ function start_tls_proxy {
437 437
 # Cleanup Functions
438 438
 # =================
439 439
 
440
-
441 440
 # Stops all stud processes. This should be done only after all services
442 441
 # using tls configuration are down.
443 442
 function stop_tls_proxy {
444 443
     killall stud
445 444
 }
446 445
 
447
-
448 446
 # Remove CA along with configuration, as well as the local server certificate
449 447
 function cleanup_CA {
450 448
     rm -rf "$DATA_DIR/CA" "$DEVSTACK_CERT"
... ...
@@ -21,6 +21,7 @@
21 21
 XTRACE=$(set +o | grep xtrace)
22 22
 set +o xtrace
23 23
 
24
+
24 25
 # Defaults
25 26
 # --------
26 27
 if is_service_enabled neutron; then
... ...
@@ -80,7 +81,7 @@ function setup_trove_logging {
80 80
     fi
81 81
 }
82 82
 
83
-# create_trove_accounts() - Set up common required trove accounts
83
+# create_trove_accounts() - Set up common required Trove accounts
84 84
 
85 85
 # Tenant               User       Roles
86 86
 # ------------------------------------------------------------------
... ...
@@ -115,7 +116,6 @@ function cleanup_trove {
115 115
     rm -fr $TROVE_CONF_DIR/*
116 116
 }
117 117
 
118
-
119 118
 # configure_trove() - Set config files, create data dirs, etc
120 119
 function configure_trove {
121 120
     setup_develop $TROVE_DIR
... ...
@@ -11,9 +11,8 @@
11 11
 # WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
12 12
 # License for the specific language governing permissions and limitations
13 13
 # under the License.
14
-#
15
-#
16
-# this runs a series of unit tests for devstack to ensure it's functioning
14
+
15
+# This runs a series of unit tests for DevStack to ensure it's functioning
17 16
 
18 17
 PASSES=""
19 18
 FAILURES=""
... ...
@@ -1,7 +1,6 @@
1 1
 # Sample ``local.conf`` for user-configurable variables in ``stack.sh``
2 2
 
3
-# NOTE: Copy this file to the root ``devstack`` directory for it to
4
-# work properly.
3
+# NOTE: Copy this file to the root DevStack directory for it to work properly.
5 4
 
6 5
 # ``local.conf`` is a user-maintained settings file that is sourced from ``stackrc``.
7 6
 # This gives it the ability to override any variables set in ``stackrc``.
... ...
@@ -3,15 +3,14 @@
3 3
 # Sample ``local.sh`` for user-configurable tasks to run automatically
4 4
 # at the successful conclusion of ``stack.sh``.
5 5
 
6
-# NOTE: Copy this file to the root ``devstack`` directory for it to
7
-# work properly.
6
+# NOTE: Copy this file to the root DevStack directory for it to work properly.
8 7
 
9 8
 # This is a collection of some of the things we have found to be useful to run
10 9
 # after ``stack.sh`` to tweak the OpenStack configuration that DevStack produces.
11 10
 # These should be considered as samples and are unsupported DevStack code.
12 11
 
13 12
 
14
-# Keep track of the devstack directory
13
+# Keep track of the DevStack directory
15 14
 TOP_DIR=$(cd $(dirname "$0") && pwd)
16 15
 
17 16
 # Import common functions
... ...
@@ -50,7 +49,7 @@ if is_service_enabled nova; then
50 50
     source $TOP_DIR/openrc admin admin
51 51
 
52 52
     # Name of new flavor
53
-    # set in ``localrc`` with ``DEFAULT_INSTANCE_TYPE=m1.micro``
53
+    # set in ``local.conf`` with ``DEFAULT_INSTANCE_TYPE=m1.micro``
54 54
     MI_NAME=m1.micro
55 55
 
56 56
     # Create micro flavor if not present
... ...
@@ -16,18 +16,11 @@
16 16
 # (14.04 Trusty or newer), **Fedora** (F20 or newer), or **CentOS/RHEL**
17 17
 # (7 or newer) machine. (It may work on other platforms but support for those
18 18
 # platforms is left to those who added them to DevStack.) It should work in
19
-# a VM or physical server. Additionally, we maintain a list of ``apt`` and
19
+# a VM or physical server. Additionally, we maintain a list of ``deb`` and
20 20
 # ``rpm`` dependencies and other configuration files in this repo.
21 21
 
22 22
 # Learn more and get the most recent version at http://devstack.org
23 23
 
24
-# check if someone has invoked with "sh"
25
-if [[ "${POSIXLY_CORRECT}" == "y" ]]; then
26
-    echo "You appear to be running bash in POSIX compatibility mode."
27
-    echo "devstack uses bash features. \"./stack.sh\" should do the right thing"
28
-    exit 1
29
-fi
30
-
31 24
 # Make sure custom grep options don't get in the way
32 25
 unset GREP_OPTIONS
33 26
 
... ...
@@ -44,7 +37,7 @@ umask 022
44 44
 # Not all distros have sbin in PATH for regular users.
45 45
 PATH=$PATH:/usr/local/sbin:/usr/sbin:/sbin
46 46
 
47
-# Keep track of the devstack directory
47
+# Keep track of the DevStack directory
48 48
 TOP_DIR=$(cd $(dirname "$0") && pwd)
49 49
 
50 50
 # Check for uninitialized variables, a big cause of bugs
... ...
@@ -53,6 +46,10 @@ if [[ -n "$NOUNSET" ]]; then
53 53
     set -o nounset
54 54
 fi
55 55
 
56
+
57
+# Configuration
58
+# =============
59
+
56 60
 # Sanity Checks
57 61
 # -------------
58 62
 
... ...
@@ -61,7 +58,7 @@ if [[ -r $TOP_DIR/.stackenv ]]; then
61 61
     rm $TOP_DIR/.stackenv
62 62
 fi
63 63
 
64
-# ``stack.sh`` keeps the list of ``apt`` and ``rpm`` dependencies and config
64
+# ``stack.sh`` keeps the list of ``deb`` and ``rpm`` dependencies, config
65 65
 # templates and other useful files in the ``files`` subdirectory
66 66
 FILES=$TOP_DIR/files
67 67
 if [ ! -d $FILES ]; then
... ...
@@ -69,12 +66,23 @@ if [ ! -d $FILES ]; then
69 69
 fi
70 70
 
71 71
 # ``stack.sh`` keeps function libraries here
72
+# Make sure ``$TOP_DIR/inc`` directory is present
73
+if [ ! -d $TOP_DIR/inc ]; then
74
+    die $LINENO "missing devstack/inc"
75
+fi
76
+
77
+# ``stack.sh`` keeps project libraries here
72 78
 # Make sure ``$TOP_DIR/lib`` directory is present
73 79
 if [ ! -d $TOP_DIR/lib ]; then
74 80
     die $LINENO "missing devstack/lib"
75 81
 fi
76 82
 
77
-# Check if run as root
83
+# Check if run in POSIX shell
84
+if [[ "${POSIXLY_CORRECT}" == "y" ]]; then
85
+    echo "You are running POSIX compatibility mode, DevStack requires bash 4.2 or newer."
86
+    exit 1
87
+fi
88
+
78 89
 # OpenStack is designed to be run as a non-root user; Horizon will fail to run
79 90
 # as **root** since Apache will not serve content from **root** user).
80 91
 # ``stack.sh`` must not be run as **root**.  It aborts and suggests one course of
... ...
@@ -89,8 +97,6 @@ if [[ $EUID -eq 0 ]]; then
89 89
     exit 1
90 90
 fi
91 91
 
92
-# Print the kernel version
93
-uname -a
94 92
 
95 93
 # Prepare the environment
96 94
 # -----------------------
... ...
@@ -112,6 +118,7 @@ source $TOP_DIR/lib/stack
112 112
 # and ``DISTRO``
113 113
 GetDistro
114 114
 
115
+
115 116
 # Global Settings
116 117
 # ---------------
117 118
 
... ...
@@ -134,7 +141,6 @@ if [[ -r $TOP_DIR/local.conf ]]; then
134 134
     done
135 135
 fi
136 136
 
137
-
138 137
 # ``stack.sh`` is customizable by setting environment variables.  Override a
139 138
 # default setting via export::
140 139
 #
... ...
@@ -145,18 +151,20 @@ fi
145 145
 #
146 146
 #     DATABASE_PASSWORD=simple ./stack.sh
147 147
 #
148
-# Persistent variables can be placed in a ``localrc`` file::
148
+# Persistent variables can be placed in a ``local.conf`` file::
149 149
 #
150
+#     [[local|localrc]]
150 151
 #     DATABASE_PASSWORD=anothersecret
151 152
 #     DATABASE_USER=hellaroot
152 153
 #
153 154
 # We try to have sensible defaults, so you should be able to run ``./stack.sh``
154
-# in most cases.  ``localrc`` is not distributed with DevStack and will never
155
+# in most cases.  ``local.conf`` is not distributed with DevStack and will never
155 156
 # be overwritten by a DevStack update.
156 157
 #
157 158
 # DevStack distributes ``stackrc`` which contains locations for the OpenStack
158 159
 # repositories, branches to configure, and other configuration defaults.
159
-# ``stackrc`` sources ``localrc`` to allow you to safely override those settings.
160
+# ``stackrc`` sources the ``localrc`` section of ``local.conf`` to allow you to
161
+# safely override those settings.
160 162
 
161 163
 if [[ ! -r $TOP_DIR/stackrc ]]; then
162 164
     die $LINENO "missing $TOP_DIR/stackrc - did you grab more than just stack.sh?"
... ...
@@ -188,34 +196,27 @@ fi
188 188
 # Make sure the proxy config is visible to sub-processes
189 189
 export_proxy_variables
190 190
 
191
-# Remove services which were negated in ENABLED_SERVICES
191
+# Remove services which were negated in ``ENABLED_SERVICES``
192 192
 # using the "-" prefix (e.g., "-rabbit") instead of
193 193
 # calling disable_service().
194 194
 disable_negated_services
195 195
 
196
-# Look for obsolete stuff
197
-# if [[ ,${ENABLED_SERVICES}, =~ ,"swift", ]]; then
198
-#     echo "FATAL: 'swift' is not supported as a service name"
199
-#     echo "FATAL: Use the actual swift service names to enable them as required:"
200
-#     echo "FATAL: s-proxy s-object s-container s-account"
201
-#     exit 1
202
-# fi
203 196
 
204 197
 # Configure sudo
205 198
 # --------------
206 199
 
207
-# We're not **root**, make sure ``sudo`` is available
200
+# We're not as **root** so make sure ``sudo`` is available
208 201
 is_package_installed sudo || install_package sudo
209 202
 
210 203
 # UEC images ``/etc/sudoers`` does not have a ``#includedir``, add one
211 204
 sudo grep -q "^#includedir.*/etc/sudoers.d" /etc/sudoers ||
212 205
     echo "#includedir /etc/sudoers.d" | sudo tee -a /etc/sudoers
213 206
 
214
-# Set up devstack sudoers
207
+# Set up DevStack sudoers
215 208
 TEMPFILE=`mktemp`
216 209
 echo "$STACK_USER ALL=(root) NOPASSWD:ALL" >$TEMPFILE
217
-# Some binaries might be under /sbin or /usr/sbin, so make sure sudo will
218
-# see them by forcing PATH
210
+# Some binaries might be under ``/sbin`` or ``/usr/sbin``, so make sure sudo will
211
+# see them by forcing ``PATH``
219 212
 echo "Defaults:$STACK_USER secure_path=/sbin:/usr/sbin:/usr/bin:/bin:/usr/local/sbin:/usr/local/bin" >> $TEMPFILE
220 213
 echo "Defaults:$STACK_USER !requiretty" >> $TEMPFILE
221 214
 chmod 0440 $TEMPFILE
... ...
@@ -226,7 +227,7 @@ sudo mv $TEMPFILE /etc/sudoers.d/50_stack_sh
226 226
 # Configure Distro Repositories
227 227
 # -----------------------------
228 228
 
229
-# For debian/ubuntu make apt attempt to retry network ops on it's own
229
+# For Debian/Ubuntu make apt attempt to retry network ops on it's own
230 230
 if is_ubuntu; then
231 231
     echo 'APT::Acquire::Retries "20";' | sudo tee /etc/apt/apt.conf.d/80retry  >/dev/null
232 232
 fi
... ...
@@ -237,7 +238,7 @@ fi
237 237
 if is_fedora && [[ $DISTRO == "rhel7" ]]; then
238 238
     # RHEL requires EPEL for many Open Stack dependencies
239 239
 
240
-    # note we always remove and install latest -- some environments
240
+    # NOTE: We always remove and install latest -- some environments
241 241
     # use snapshot images, and if EPEL version updates they break
242 242
     # unless we update them to latest version.
243 243
     if sudo yum repolist enabled epel | grep -q 'epel'; then
... ...
@@ -248,7 +249,7 @@ if is_fedora && [[ $DISTRO == "rhel7" ]]; then
248 248
     # repo, then removes itself (as epel-release installed the
249 249
     # "real" repo).
250 250
     #
251
-    # you would think that rather than this, you could use
251
+    # You would think that rather than this, you could use
252 252
     # $releasever directly in .repo file we create below.  However
253 253
     # RHEL gives a $releasever of "6Server" which breaks the path;
254 254
     # see https://bugzilla.redhat.com/show_bug.cgi?id=1150759
... ...
@@ -265,7 +266,7 @@ EOF
265 265
     sudo yum-config-manager --enable epel-bootstrap
266 266
     yum_install epel-release || \
267 267
         die $LINENO "Error installing EPEL repo, cannot continue"
268
-    # epel rpm has installed it's version
268
+    # EPEL rpm has installed it's version
269 269
     sudo rm -f /etc/yum.repos.d/epel-bootstrap.repo
270 270
 
271 271
     # ... and also optional to be enabled
... ...
@@ -300,7 +301,7 @@ sudo mkdir -p $DEST
300 300
 safe_chown -R $STACK_USER $DEST
301 301
 safe_chmod 0755 $DEST
302 302
 
303
-# a basic test for $DEST path permissions (fatal on error unless skipped)
303
+# Basic test for ``$DEST`` path permissions (fatal on error unless skipped)
304 304
 check_path_perm_sanity ${DEST}
305 305
 
306 306
 # Destination path for service data
... ...
@@ -488,6 +489,9 @@ set -o errexit
488 488
 # an error.  It is also useful for following along as the install occurs.
489 489
 set -o xtrace
490 490
 
491
+# Print the kernel version
492
+uname -a
493
+
491 494
 # Reset the bundle of CA certificates
492 495
 SSL_BUNDLE_FILE="$DATA_DIR/ca-bundle.pem"
493 496
 rm -f $SSL_BUNDLE_FILE
... ...
@@ -500,7 +504,7 @@ source $TOP_DIR/lib/rpc_backend
500 500
 # and the specified rpc backend is available on your platform.
501 501
 check_rpc_backend
502 502
 
503
-# Service to enable with SSL if USE_SSL is True
503
+# Service to enable with SSL if ``USE_SSL`` is True
504 504
 SSL_ENABLED_SERVICES="key,nova,cinder,glance,s-proxy,neutron"
505 505
 
506 506
 if is_service_enabled tls-proxy && [ "$USE_SSL" == "True" ]; then
... ...
@@ -514,7 +518,7 @@ fi
514 514
 # defaults before other services are run
515 515
 run_phase override_defaults
516 516
 
517
-# Import apache functions
517
+# Import Apache functions
518 518
 source $TOP_DIR/lib/apache
519 519
 
520 520
 # Import TLS functions
... ...
@@ -598,8 +602,9 @@ function read_password {
598 598
 
599 599
 
600 600
 # Database Configuration
601
+# ----------------------
601 602
 
602
-# To select between database backends, add the following to ``localrc``:
603
+# To select between database backends, add the following to ``local.conf``:
603 604
 #
604 605
 #    disable_service mysql
605 606
 #    enable_service postgresql
... ...
@@ -611,9 +616,10 @@ initialize_database_backends && echo "Using $DATABASE_TYPE database backend" ||
611 611
 
612 612
 
613 613
 # Queue Configuration
614
+# -------------------
614 615
 
615 616
 # Rabbit connection info
616
-# In multi node devstack, second node needs RABBIT_USERID, but rabbit
617
+# In multi node DevStack, second node needs ``RABBIT_USERID``, but rabbit
617 618
 # isn't enabled.
618 619
 RABBIT_USERID=${RABBIT_USERID:-stackrabbit}
619 620
 if is_service_enabled rabbit; then
... ...
@@ -623,6 +629,7 @@ fi
623 623
 
624 624
 
625 625
 # Keystone
626
+# --------
626 627
 
627 628
 if is_service_enabled keystone; then
628 629
     # The ``SERVICE_TOKEN`` is used to bootstrap the Keystone database.  It is
... ...
@@ -634,14 +641,14 @@ if is_service_enabled keystone; then
634 634
     read_password ADMIN_PASSWORD "ENTER A PASSWORD TO USE FOR HORIZON AND KEYSTONE (20 CHARS OR LESS)."
635 635
 
636 636
     # Keystone can now optionally install OpenLDAP by enabling the ``ldap``
637
-    # service in ``localrc`` (e.g. ``enable_service ldap``).
637
+    # service in ``local.conf`` (e.g. ``enable_service ldap``).
638 638
     # To clean out the Keystone contents in OpenLDAP set ``KEYSTONE_CLEAR_LDAP``
639
-    # to ``yes`` (e.g. ``KEYSTONE_CLEAR_LDAP=yes``) in ``localrc``.  To enable the
639
+    # to ``yes`` (e.g. ``KEYSTONE_CLEAR_LDAP=yes``) in ``local.conf``.  To enable the
640 640
     # Keystone Identity Driver (``keystone.identity.backends.ldap.Identity``)
641 641
     # set ``KEYSTONE_IDENTITY_BACKEND`` to ``ldap`` (e.g.
642
-    # ``KEYSTONE_IDENTITY_BACKEND=ldap``) in ``localrc``.
642
+    # ``KEYSTONE_IDENTITY_BACKEND=ldap``) in ``local.conf``.
643 643
 
644
-    # only request ldap password if the service is enabled
644
+    # Only request LDAP password if the service is enabled
645 645
     if is_service_enabled ldap; then
646 646
         read_password LDAP_PASSWORD "ENTER A PASSWORD TO USE FOR LDAP"
647 647
     fi
... ...
@@ -649,6 +656,7 @@ fi
649 649
 
650 650
 
651 651
 # Swift
652
+# -----
652 653
 
653 654
 if is_service_enabled s-proxy; then
654 655
     # We only ask for Swift Hash if we have enabled swift service.
... ...
@@ -672,14 +680,14 @@ fi
672 672
 echo_summary "Installing package prerequisites"
673 673
 source $TOP_DIR/tools/install_prereqs.sh
674 674
 
675
-# Configure an appropriate python environment
675
+# Configure an appropriate Python environment
676 676
 if [[ "$OFFLINE" != "True" ]]; then
677 677
     PYPI_ALTERNATIVE_URL=${PYPI_ALTERNATIVE_URL:-""} $TOP_DIR/tools/install_pip.sh
678 678
 fi
679 679
 
680 680
 TRACK_DEPENDS=${TRACK_DEPENDS:-False}
681 681
 
682
-# Install python packages into a virtualenv so that we can track them
682
+# Install Python packages into a virtualenv so that we can track them
683 683
 if [[ $TRACK_DEPENDS = True ]]; then
684 684
     echo_summary "Installing Python packages into a virtualenv $DEST/.venv"
685 685
     pip_install -U virtualenv
... ...
@@ -728,10 +736,10 @@ echo_summary "Installing OpenStack project source"
728 728
 # Install required infra support libraries
729 729
 install_infra
730 730
 
731
-# Install oslo libraries that have graduated
731
+# Install Oslo libraries
732 732
 install_oslo
733 733
 
734
-# Install clients libraries
734
+# Install client libraries
735 735
 install_keystoneclient
736 736
 install_glanceclient
737 737
 install_cinderclient
... ...
@@ -749,7 +757,6 @@ fi
749 749
 # Install middleware
750 750
 install_keystonemiddleware
751 751
 
752
-
753 752
 if is_service_enabled keystone; then
754 753
     if [ "$KEYSTONE_AUTH_HOST" == "$SERVICE_HOST" ]; then
755 754
         stack_install_service keystone
... ...
@@ -766,7 +773,7 @@ if is_service_enabled s-proxy; then
766 766
 
767 767
     # swift3 middleware to provide S3 emulation to Swift
768 768
     if is_service_enabled swift3; then
769
-        # replace the nova-objectstore port by the swift port
769
+        # Replace the nova-objectstore port by the swift port
770 770
         S3_SERVICE_PORT=8080
771 771
         git_clone $SWIFT3_REPO $SWIFT3_DIR $SWIFT3_BRANCH
772 772
         setup_develop $SWIFT3_DIR
... ...
@@ -774,23 +781,25 @@ if is_service_enabled s-proxy; then
774 774
 fi
775 775
 
776 776
 if is_service_enabled g-api n-api; then
777
-    # image catalog service
777
+    # Image catalog service
778 778
     stack_install_service glance
779 779
     configure_glance
780 780
 fi
781 781
 
782 782
 if is_service_enabled cinder; then
783
+    # Block volume service
783 784
     stack_install_service cinder
784 785
     configure_cinder
785 786
 fi
786 787
 
787 788
 if is_service_enabled neutron; then
789
+    # Network service
788 790
     stack_install_service neutron
789 791
     install_neutron_third_party
790 792
 fi
791 793
 
792 794
 if is_service_enabled nova; then
793
-    # compute service
795
+    # Compute service
794 796
     stack_install_service nova
795 797
     cleanup_nova
796 798
     configure_nova
... ...
@@ -822,18 +831,18 @@ if is_service_enabled tls-proxy || [ "$USE_SSL" == "True" ]; then
822 822
     configure_CA
823 823
     init_CA
824 824
     init_cert
825
-    # Add name to /etc/hosts
826
-    # don't be naive and add to existing line!
825
+    # Add name to ``/etc/hosts``.
826
+    # Don't be naive and add to existing line!
827 827
 fi
828 828
 
829
+
829 830
 # Extras Install
830 831
 # --------------
831 832
 
832 833
 # Phase: install
833 834
 run_phase stack install
834 835
 
835
-
836
-# install the OpenStack client, needed for most setup commands
836
+# Install the OpenStack client, needed for most setup commands
837 837
 if use_library_from_git "python-openstackclient"; then
838 838
     git_clone_by_name "python-openstackclient"
839 839
     setup_dev_lib "python-openstackclient"
... ...
@@ -841,7 +850,6 @@ else
841 841
     pip_install 'python-openstackclient>=1.0.2'
842 842
 fi
843 843
 
844
-
845 844
 if [[ $TRACK_DEPENDS = True ]]; then
846 845
     $DEST/.venv/bin/pip freeze > $DEST/requires-post-pip
847 846
     if ! diff -Nru $DEST/requires-pre-pip $DEST/requires-post-pip > $DEST/requires.diff; then
... ...
@@ -934,7 +942,7 @@ if [[ "$USE_SCREEN" == "True" ]]; then
934 934
     screen -r $SCREEN_NAME -X setenv PROMPT_COMMAND /bin/true
935 935
 fi
936 936
 
937
-# Clear screen rc file
937
+# Clear ``screenrc`` file
938 938
 SCREENRC=$TOP_DIR/$SCREEN_NAME-screenrc
939 939
 if [[ -e $SCREENRC ]]; then
940 940
     rm -f $SCREENRC
... ...
@@ -943,14 +951,16 @@ fi
943 943
 # Initialize the directory for service status check
944 944
 init_service_check
945 945
 
946
+
947
+# Start Services
948
+# ==============
949
+
946 950
 # Dstat
947
-# -------
951
+# -----
948 952
 
949 953
 # A better kind of sysstat, with the top process per time slice
950 954
 start_dstat
951 955
 
952
-# Start Services
953
-# ==============
954 956
 
955 957
 # Keystone
956 958
 # --------
... ...
@@ -972,7 +982,7 @@ if is_service_enabled keystone; then
972 972
         SERVICE_ENDPOINT=http://$KEYSTONE_AUTH_HOST:$KEYSTONE_AUTH_PORT_INT/v2.0
973 973
     fi
974 974
 
975
-    # Setup OpenStackclient token-flow auth
975
+    # Setup OpenStackClient token-endpoint auth
976 976
     export OS_TOKEN=$SERVICE_TOKEN
977 977
     export OS_URL=$SERVICE_ENDPOINT
978 978
 
... ...
@@ -994,10 +1004,10 @@ if is_service_enabled keystone; then
994 994
         create_heat_accounts
995 995
     fi
996 996
 
997
-    # Begone token-flow auth
997
+    # Begone token auth
998 998
     unset OS_TOKEN OS_URL
999 999
 
1000
-    # Set up password-flow auth creds now that keystone is bootstrapped
1000
+    # Set up password auth credentials now that Keystone is bootstrapped
1001 1001
     export OS_AUTH_URL=$SERVICE_ENDPOINT
1002 1002
     export OS_TENANT_NAME=admin
1003 1003
     export OS_USERNAME=admin
... ...
@@ -1042,7 +1052,7 @@ if is_service_enabled neutron; then
1042 1042
     echo_summary "Configuring Neutron"
1043 1043
 
1044 1044
     configure_neutron
1045
-    # Run init_neutron only on the node hosting the neutron API server
1045
+    # Run init_neutron only on the node hosting the Neutron API server
1046 1046
     if is_service_enabled $DATABASE_BACKENDS && is_service_enabled q-svc; then
1047 1047
         init_neutron
1048 1048
     fi
... ...
@@ -1118,6 +1128,7 @@ if is_service_enabled nova; then
1118 1118
     init_nova_cells
1119 1119
 fi
1120 1120
 
1121
+
1121 1122
 # Extras Configuration
1122 1123
 # ====================
1123 1124
 
... ...
@@ -1128,7 +1139,7 @@ run_phase stack post-config
1128 1128
 # Local Configuration
1129 1129
 # ===================
1130 1130
 
1131
-# Apply configuration from local.conf if it exists for layer 2 services
1131
+# Apply configuration from ``local.conf`` if it exists for layer 2 services
1132 1132
 # Phase: post-config
1133 1133
 merge_config_group $TOP_DIR/local.conf post-config
1134 1134
 
... ...
@@ -1150,18 +1161,16 @@ if is_service_enabled glance; then
1150 1150
     start_glance
1151 1151
 fi
1152 1152
 
1153
+
1153 1154
 # Install Images
1154 1155
 # ==============
1155 1156
 
1156
-# Upload an image to glance.
1157
+# Upload an image to Glance.
1157 1158
 #
1158
-# The default image is cirros, a small testing image which lets you login as **root**
1159
-# cirros has a ``cloud-init`` analog supporting login via keypair and sending
1159
+# The default image is CirrOS, a small testing image which lets you login as **root**
1160
+# CirrOS has a ``cloud-init`` analog supporting login via keypair and sending
1160 1161
 # scripts as userdata.
1161
-# See https://help.ubuntu.com/community/CloudInit for more on cloud-init
1162
-#
1163
-# Override ``IMAGE_URLS`` with a comma-separated list of UEC images.
1164
-#  * **precise**: http://uec-images.ubuntu.com/precise/current/precise-server-cloudimg-amd64.tar.gz
1162
+# See https://help.ubuntu.com/community/CloudInit for more on ``cloud-init``
1165 1163
 
1166 1164
 if is_service_enabled g-reg; then
1167 1165
     TOKEN=$(keystone token-get | grep ' id ' | get_field 2)
... ...
@@ -1179,7 +1188,7 @@ if is_service_enabled g-reg; then
1179 1179
     done
1180 1180
 fi
1181 1181
 
1182
-# Create an access key and secret key for nova ec2 register image
1182
+# Create an access key and secret key for Nova EC2 register image
1183 1183
 if is_service_enabled keystone && is_service_enabled swift3 && is_service_enabled nova; then
1184 1184
     eval $(openstack ec2 credentials create --user nova --project $SERVICE_TENANT_NAME -f shell -c access -c secret)
1185 1185
     iniset $NOVA_CONF DEFAULT s3_access_key "$access"
... ...
@@ -1242,7 +1251,7 @@ if is_service_enabled ceilometer; then
1242 1242
     start_ceilometer
1243 1243
 fi
1244 1244
 
1245
-# Configure and launch heat engine, api and metadata
1245
+# Configure and launch Heat engine, api and metadata
1246 1246
 if is_service_enabled heat; then
1247 1247
     # Initialize heat
1248 1248
     echo_summary "Configuring Heat"
... ...
@@ -1287,30 +1296,34 @@ for i in BASE_SQL_CONN ENABLED_SERVICES HOST_IP LOGFILE \
1287 1287
 done
1288 1288
 
1289 1289
 
1290
-# Local Configuration
1291
-# ===================
1290
+# Wrapup configuration
1291
+# ====================
1292
+
1293
+# local.conf extra
1294
+# ----------------
1292 1295
 
1293
-# Apply configuration from local.conf if it exists for layer 2 services
1296
+# Apply configuration from ``local.conf`` if it exists for layer 2 services
1294 1297
 # Phase: extra
1295 1298
 merge_config_group $TOP_DIR/local.conf extra
1296 1299
 
1297 1300
 
1298 1301
 # Run extras
1299
-# ==========
1302
+# ----------
1300 1303
 
1301 1304
 # Phase: extra
1302 1305
 run_phase stack extra
1303 1306
 
1304
-# Local Configuration
1305
-# ===================
1306 1307
 
1307
-# Apply configuration from local.conf if it exists for layer 2 services
1308
+# local.conf post-extra
1309
+# ---------------------
1310
+
1311
+# Apply late configuration from ``local.conf`` if it exists for layer 2 services
1308 1312
 # Phase: post-extra
1309 1313
 merge_config_group $TOP_DIR/local.conf post-extra
1310 1314
 
1311 1315
 
1312 1316
 # Run local script
1313
-# ================
1317
+# ----------------
1314 1318
 
1315 1319
 # Run ``local.sh`` if it exists to perform user-managed tasks
1316 1320
 if [[ -x $TOP_DIR/local.sh ]]; then
... ...
@@ -1338,6 +1351,7 @@ if is_service_enabled cinder; then
1338 1338
     fi
1339 1339
 fi
1340 1340
 
1341
+
1341 1342
 # Fin
1342 1343
 # ===
1343 1344
 
... ...
@@ -1354,11 +1368,12 @@ fi
1354 1354
 
1355 1355
 
1356 1356
 # Using the cloud
1357
-# ---------------
1357
+# ===============
1358 1358
 
1359 1359
 echo ""
1360 1360
 echo ""
1361 1361
 echo ""
1362
+echo "This is your host ip: $HOST_IP"
1362 1363
 
1363 1364
 # If you installed Horizon on this server you should be able
1364 1365
 # to access the site using your browser.
... ...
@@ -1368,15 +1383,11 @@ fi
1368 1368
 
1369 1369
 # If Keystone is present you can point ``nova`` cli to this server
1370 1370
 if is_service_enabled keystone; then
1371
-    echo "Keystone is serving at $KEYSTONE_SERVICE_URI/v2.0/"
1372
-    echo "Examples on using novaclient command line is in exercise.sh"
1371
+    echo "Keystone is serving at $KEYSTONE_SERVICE_URI/"
1373 1372
     echo "The default users are: admin and demo"
1374 1373
     echo "The password: $ADMIN_PASSWORD"
1375 1374
 fi
1376 1375
 
1377
-# Echo ``HOST_IP`` - useful for ``build_uec.sh``, which uses dhcp to give the instance an address
1378
-echo "This is your host ip: $HOST_IP"
1379
-
1380 1376
 # Warn that a deprecated feature was used
1381 1377
 if [[ -n "$DEPRECATED_TEXT" ]]; then
1382 1378
     echo_summary "WARNING: $DEPRECATED_TEXT"
... ...
@@ -5,7 +5,7 @@
5 5
 # Find the other rc files
6 6
 RC_DIR=$(cd $(dirname "${BASH_SOURCE:-$0}") && pwd)
7 7
 
8
-# Source required devstack functions and globals
8
+# Source required DevStack functions and globals
9 9
 source $RC_DIR/functions
10 10
 
11 11
 # Destination path for installation
... ...
@@ -41,20 +41,20 @@ REGION_NAME=${REGION_NAME:-RegionOne}
41 41
 #  enable_service q-dhcp
42 42
 #  enable_service q-l3
43 43
 #  enable_service q-meta
44
-#  # Optional, to enable tempest configuration as part of devstack
44
+#  # Optional, to enable tempest configuration as part of DevStack
45 45
 #  enable_service tempest
46 46
 
47
-# this allows us to pass ENABLED_SERVICES
47
+# This allows us to pass ``ENABLED_SERVICES``
48 48
 if ! isset ENABLED_SERVICES ; then
49
-    # core compute (glance / keystone / nova (+ nova-network))
49
+    # Compute (Glance / Keystone / Nova (+ nova-network))
50 50
     ENABLED_SERVICES=g-api,g-reg,key,n-api,n-crt,n-obj,n-cpu,n-net,n-cond,n-sch,n-novnc,n-xvnc,n-cauth
51
-    # cinder
51
+    # Cinder
52 52
     ENABLED_SERVICES+=,c-sch,c-api,c-vol
53
-    # heat
53
+    # Heat
54 54
     ENABLED_SERVICES+=,h-eng,h-api,h-api-cfn,h-api-cw
55
-    # dashboard
55
+    # Dashboard
56 56
     ENABLED_SERVICES+=,horizon
57
-    # additional services
57
+    # Additional services
58 58
     ENABLED_SERVICES+=,rabbit,tempest,mysql
59 59
 fi
60 60
 
... ...
@@ -79,7 +79,7 @@ ENABLE_HTTPD_MOD_WSGI_SERVICES=True
79 79
 # Tell Tempest which services are available.  The default is set here as
80 80
 # Tempest falls late in the configuration sequence.  This differs from
81 81
 # ``ENABLED_SERVICES`` in that the project names are used here rather than
82
-# the service names, i.e.: TEMPEST_SERVICES="key,glance,nova"
82
+# the service names, i.e.: ``TEMPEST_SERVICES="key,glance,nova"``
83 83
 TEMPEST_SERVICES=""
84 84
 
85 85
 # Set the default Nova APIs to enable
... ...
@@ -145,6 +145,7 @@ GIT_TIMEOUT=${GIT_TIMEOUT:-0}
145 145
 #   but pass through any extras)
146 146
 REQUIREMENTS_MODE=${REQUIREMENTS_MODE:-strict}
147 147
 
148
+
148 149
 # Repositories
149 150
 # ------------
150 151
 
... ...
@@ -155,16 +156,17 @@ GIT_BASE=${GIT_BASE:-git://git.openstack.org}
155 155
 # Which libraries should we install from git instead of using released
156 156
 # versions on pypi?
157 157
 #
158
-# By default devstack is now installing libraries from pypi instead of
158
+# By default DevStack is now installing libraries from pypi instead of
159 159
 # from git repositories by default. This works great if you are
160 160
 # developing server components, but if you want to develop libraries
161
-# and see them live in devstack you need to tell devstack it should
161
+# and see them live in DevStack you need to tell DevStack it should
162 162
 # install them from git.
163 163
 #
164 164
 # ex: LIBS_FROM_GIT=python-keystoneclient,oslo.config
165 165
 #
166 166
 # Will install those 2 libraries from git, the rest from pypi.
167 167
 
168
+
168 169
 ##############
169 170
 #
170 171
 #  OpenStack Server Components
... ...
@@ -231,6 +233,7 @@ SWIFT_BRANCH=${SWIFT_BRANCH:-master}
231 231
 TROVE_REPO=${TROVE_REPO:-${GIT_BASE}/openstack/trove.git}
232 232
 TROVE_BRANCH=${TROVE_BRANCH:-master}
233 233
 
234
+
234 235
 ##############
235 236
 #
236 237
 #  Testing Components
... ...
@@ -306,6 +309,7 @@ GITBRANCH["python-openstackclient"]=${OPENSTACKCLIENT_BRANCH:-master}
306 306
 # this doesn't exist in a lib file, so set it here
307 307
 GITDIR["python-openstackclient"]=$DEST/python-openstackclient
308 308
 
309
+
309 310
 ###################
310 311
 #
311 312
 #  Oslo Libraries
... ...
@@ -396,6 +400,7 @@ GITBRANCH["tooz"]=${TOOZ_BRANCH:-master}
396 396
 GITREPO["pbr"]=${PBR_REPO:-${GIT_BASE}/openstack-dev/pbr.git}
397 397
 GITBRANCH["pbr"]=${PBR_BRANCH:-master}
398 398
 
399
+
399 400
 ##################
400 401
 #
401 402
 #  Libraries managed by OpenStack programs (non oslo)
... ...
@@ -453,6 +458,7 @@ OCC_BRANCH=${OCC_BRANCH:-master}
453 453
 ORC_REPO=${ORC_REPO:-${GIT_BASE}/openstack/os-refresh-config.git}
454 454
 ORC_BRANCH=${ORC_BRANCH:-master}
455 455
 
456
+
456 457
 #################
457 458
 #
458 459
 #  3rd Party Components (non pip installable)
... ...
@@ -474,7 +480,6 @@ SPICE_REPO=${SPICE_REPO:-http://anongit.freedesktop.org/git/spice/spice-html5.gi
474 474
 SPICE_BRANCH=${SPICE_BRANCH:-master}
475 475
 
476 476
 
477
-
478 477
 # Nova hypervisor configuration.  We default to libvirt with **kvm** but will
479 478
 # drop back to **qemu** if we are unable to load the kvm module.  ``stack.sh`` can
480 479
 # also install an **LXC**, **OpenVZ** or **XenAPI** based system.  If xenserver-core
... ...
@@ -641,7 +646,7 @@ ENABLE_DEBUG_LOG_LEVEL=$(trueorfalse True ENABLE_DEBUG_LOG_LEVEL)
641 641
 
642 642
 # Set fixed and floating range here so we can make sure not to use addresses
643 643
 # from either range when attempting to guess the IP to use for the host.
644
-# Note that setting FIXED_RANGE may be necessary when running DevStack
644
+# Note that setting ``FIXED_RANGE`` may be necessary when running DevStack
645 645
 # in an OpenStack cloud that uses either of these address ranges internally.
646 646
 FLOATING_RANGE=${FLOATING_RANGE:-172.24.4.0/24}
647 647
 FIXED_RANGE=${FIXED_RANGE:-10.0.0.0/24}
... ...
@@ -669,9 +674,10 @@ LOG_COLOR=$(trueorfalse True LOG_COLOR)
669 669
 # Set to 0 to disable shallow cloning
670 670
 GIT_DEPTH=${GIT_DEPTH:-0}
671 671
 
672
-# Use native SSL for servers in SSL_ENABLED_SERVICES
672
+# Use native SSL for servers in ``SSL_ENABLED_SERVICES``
673 673
 USE_SSL=$(trueorfalse False USE_SSL)
674 674
 
675
+
675 676
 # Following entries need to be last items in file
676 677
 
677 678
 # Compatibility bits required by other callers like Grenade
... ...
@@ -693,7 +699,6 @@ USE_SSL=$(trueorfalse False USE_SSL)
693 693
 # For compat, if SCREEN_LOGDIR is set, it will be used to create back-compat symlinks to the LOGDIR
694 694
 # symlinks to SCREEN_LOGDIR (compat)
695 695
 
696
-
697 696
 # Set up new logging defaults
698 697
 if [[ -z "${LOGDIR:-}" ]]; then
699 698
     default_logdir=$DEST/logs
... ...
@@ -718,8 +723,8 @@ if [[ -z "${LOGDIR:-}" ]]; then
718 718
     unset default_logdir logfile
719 719
 fi
720 720
 
721
-# LOGDIR is always set at this point so it is not useful as a 'enable' for service logs
722
-# SCREEN_LOGDIR may be set, it is useful to enable the compat symlinks
721
+# ``LOGDIR`` is always set at this point so it is not useful as a 'enable' for service logs
722
+# ``SCREEN_LOGDIR`` may be set, it is useful to enable the compat symlinks
723 723
 
724 724
 # Local variables:
725 725
 # mode: shell-script
... ...
@@ -2,8 +2,8 @@
2 2
 
3 3
 # **build_docs.sh** - Build the docs for DevStack
4 4
 #
5
-# - Install shocco if not found on PATH and INSTALL_SHOCCO is set
6
-# - Clone MASTER_REPO branch MASTER_BRANCH
5
+# - Install shocco if not found on ``PATH`` and ``INSTALL_SHOCCO`` is set
6
+# - Clone ``MASTER_REPO`` branch ``MASTER_BRANCH``
7 7
 # - Re-creates ``doc/build/html`` directory from existing repo + new generated script docs
8 8
 
9 9
 # Usage:
... ...
@@ -16,7 +16,7 @@
16 16
 
17 17
 HTML_BUILD=doc/build/html
18 18
 
19
-# Keep track of the devstack directory
19
+# Keep track of the DevStack directory
20 20
 TOP_DIR=$(cd $(dirname "$0")/.. && pwd)
21 21
 
22 22
 # Uses this shocco branch: https://github.com/dtroyer/shocco/tree/rst_support
... ...
@@ -4,11 +4,12 @@
4 4
 #
5 5
 # build_venv.sh venv-path [package [...]]
6 6
 #
7
+# Installs basic common prereq packages that require compilation
8
+# to allow quick copying of resulting venv as a baseline
9
+#
7 10
 # Assumes:
8 11
 # - a useful pip is installed
9 12
 # - virtualenv will be installed by pip
10
-# - installs basic common prereq packages that require compilation
11
-#   to allow quick copying of resulting venv as a baseline
12 13
 
13 14
 
14 15
 VENV_DEST=${1:-.venv}
... ...
@@ -16,14 +17,14 @@ shift
16 16
 
17 17
 MORE_PACKAGES="$@"
18 18
 
19
-# If TOP_DIR is set we're being sourced rather than running stand-alone
19
+# If ``TOP_DIR`` is set we're being sourced rather than running stand-alone
20 20
 # or in a sub-shell
21 21
 if [[ -z "$TOP_DIR" ]]; then
22 22
 
23 23
     set -o errexit
24 24
     set -o nounset
25 25
 
26
-    # Keep track of the devstack directory
26
+    # Keep track of the DevStack directory
27 27
     TOP_DIR=$(cd $(dirname "$0")/.. && pwd)
28 28
     FILES=$TOP_DIR/files
29 29
 
... ...
@@ -4,21 +4,22 @@
4 4
 #
5 5
 # build_wheels.sh [package [...]]
6 6
 #
7
-# System package prerequisites listed in files/*/devlibs will be installed
7
+# System package prerequisites listed in ``files/*/devlibs`` will be installed
8 8
 #
9 9
 # Builds wheels for all virtual env requirements listed in
10 10
 # ``venv-requirements.txt`` plus any supplied on the command line.
11 11
 #
12
-# Assumes ``tools/install_pip.sh`` has been run and a suitable pip/setuptools is available.
12
+# Assumes:
13
+# - ``tools/install_pip.sh`` has been run and a suitable ``pip/setuptools`` is available.
13 14
 
14
-# If TOP_DIR is set we're being sourced rather than running stand-alone
15
+# If ``TOP_DIR`` is set we're being sourced rather than running stand-alone
15 16
 # or in a sub-shell
16 17
 if [[ -z "$TOP_DIR" ]]; then
17 18
 
18 19
     set -o errexit
19 20
     set -o nounset
20 21
 
21
-    # Keep track of the devstack directory
22
+    # Keep track of the DevStack directory
22 23
     TOP_DIR=$(cd $(dirname "$0")/.. && pwd)
23 24
     FILES=$TOP_DIR/files
24 25
 
... ...
@@ -59,7 +60,7 @@ virtualenv $TMP_VENV_PATH
59 59
 # Install modern pip and wheel
60 60
 PIP_VIRTUAL_ENV=$TMP_VENV_PATH pip_install -U pip wheel
61 61
 
62
-# VENV_PACKAGES is a list of packages we want to pre-install
62
+# ``VENV_PACKAGES`` is a list of packages we want to pre-install
63 63
 VENV_PACKAGE_FILE=$FILES/venv-requirements.txt
64 64
 if [[ -r $VENV_PACKAGE_FILE ]]; then
65 65
     VENV_PACKAGES=$(grep -v '^#' $VENV_PACKAGE_FILE)
... ...
@@ -17,7 +17,7 @@
17 17
 
18 18
 set -o errexit
19 19
 
20
-# Keep track of the devstack directory
20
+# Keep track of the DevStack directory
21 21
 TOP_DIR=$(cd $(dirname "$0")/.. && pwd)
22 22
 
23 23
 # Import common functions
... ...
@@ -17,7 +17,7 @@
17 17
 #   - uninstall firewalld (f20 only)
18 18
 
19 19
 
20
-# If TOP_DIR is set we're being sourced rather than running stand-alone
20
+# If ``TOP_DIR`` is set we're being sourced rather than running stand-alone
21 21
 # or in a sub-shell
22 22
 if [[ -z "$TOP_DIR" ]]; then
23 23
     set -o errexit
... ...
@@ -27,7 +27,7 @@ if [[ -z "$TOP_DIR" ]]; then
27 27
     TOOLS_DIR=$(cd $(dirname "$0") && pwd)
28 28
     TOP_DIR=$(cd $TOOLS_DIR/..; pwd)
29 29
 
30
-    # Change dir to top of devstack
30
+    # Change dir to top of DevStack
31 31
     cd $TOP_DIR
32 32
 
33 33
     # Import common functions
... ...
@@ -38,7 +38,7 @@ fi
38 38
 
39 39
 # Keystone Port Reservation
40 40
 # -------------------------
41
-# Reserve and prevent $KEYSTONE_AUTH_PORT and $KEYSTONE_AUTH_PORT_INT from
41
+# Reserve and prevent ``KEYSTONE_AUTH_PORT`` and ``KEYSTONE_AUTH_PORT_INT`` from
42 42
 # being used as ephemeral ports by the system. The default(s) are 35357 and
43 43
 # 35358 which are in the Linux defined ephemeral port range (in disagreement
44 44
 # with the IANA ephemeral port range). This is a workaround for bug #1253482
... ...
@@ -47,9 +47,9 @@ fi
47 47
 # exception into the Kernel for the Keystone AUTH ports.
48 48
 keystone_ports=${KEYSTONE_AUTH_PORT:-35357},${KEYSTONE_AUTH_PORT_INT:-35358}
49 49
 
50
-# only do the reserved ports when available, on some system (like containers)
50
+# Only do the reserved ports when available, on some system (like containers)
51 51
 # where it's not exposed we are almost pretty sure these ports would be
52
-# exclusive for our devstack.
52
+# exclusive for our DevStack.
53 53
 if sysctl net.ipv4.ip_local_reserved_ports >/dev/null 2>&1; then
54 54
     # Get any currently reserved ports, strip off leading whitespace
55 55
     reserved_ports=$(sysctl net.ipv4.ip_local_reserved_ports | awk -F'=' '{print $2;}' | sed 's/^ //')
... ...
@@ -59,7 +59,7 @@ if sysctl net.ipv4.ip_local_reserved_ports >/dev/null 2>&1; then
59 59
         sudo sysctl -w net.ipv4.ip_local_reserved_ports=${keystone_ports}
60 60
     else
61 61
         # If there are currently reserved ports, keep those and also reserve the
62
-        # keystone specific ports. Duplicate reservations are merged into a single
62
+        # Keystone specific ports. Duplicate reservations are merged into a single
63 63
         # reservation (or range) automatically by the kernel.
64 64
         sudo sysctl -w net.ipv4.ip_local_reserved_ports=${keystone_ports},${reserved_ports}
65 65
     fi
... ...
@@ -1,6 +1,6 @@
1 1
 #!/bin/bash
2 2
 
3
-# Keep track of the devstack directory
3
+# Keep track of the DevStack directory
4 4
 TOP_DIR=$(cd $(dirname "$0")/.. && pwd)
5 5
 
6 6
 source $TOP_DIR/functions
... ...
@@ -2,7 +2,7 @@
2 2
 
3 3
 # **info.sh**
4 4
 
5
-# Produce a report on the state of devstack installs
5
+# Produce a report on the state of DevStack installs
6 6
 #
7 7
 # Output fields are separated with '|' chars
8 8
 # Output types are git,localrc,os,pip,pkg:
... ...
@@ -14,7 +14,7 @@
14 14
 #   pkg|<package>|<version>
15 15
 
16 16
 function usage {
17
-    echo "$0 - Report on the devstack configuration"
17
+    echo "$0 - Report on the DevStack configuration"
18 18
     echo ""
19 19
     echo "Usage: $0"
20 20
     exit 1
... ...
@@ -16,7 +16,7 @@ set -o xtrace
16 16
 TOOLS_DIR=$(cd $(dirname "$0") && pwd)
17 17
 TOP_DIR=`cd $TOOLS_DIR/..; pwd`
18 18
 
19
-# Change dir to top of devstack
19
+# Change dir to top of DevStack
20 20
 cd $TOP_DIR
21 21
 
22 22
 # Import common functions
... ...
@@ -42,11 +42,11 @@ function get_versions {
42 42
 
43 43
 
44 44
 function install_get_pip {
45
-    # the openstack gate and others put a cached version of get-pip.py
45
+    # The OpenStack gate and others put a cached version of get-pip.py
46 46
     # for this to find, explicitly to avoid download issues.
47 47
     #
48
-    # However, if devstack *did* download the file, we want to check
49
-    # for updates; people can leave thier stacks around for a long
48
+    # However, if DevStack *did* download the file, we want to check
49
+    # for updates; people can leave their stacks around for a long
50 50
     # time and in the mean-time pip might get upgraded.
51 51
     #
52 52
     # Thus we use curl's "-z" feature to always check the modified
... ...
@@ -74,7 +74,7 @@ function configure_pypi_alternative_url {
74 74
         touch $PIP_CONFIG_FILE
75 75
     fi
76 76
     if ! ini_has_option "$PIP_CONFIG_FILE" "global" "index-url"; then
77
-        #it means that the index-url does not exist
77
+        # It means that the index-url does not exist
78 78
         iniset "$PIP_CONFIG_FILE" "global" "index-url" "$PYPI_OVERRIDE"
79 79
     fi
80 80
 
... ...
@@ -18,10 +18,10 @@ while getopts ":f" opt; do
18 18
     esac
19 19
 done
20 20
 
21
-# If TOP_DIR is set we're being sourced rather than running stand-alone
21
+# If ``TOP_DIR`` is set we're being sourced rather than running stand-alone
22 22
 # or in a sub-shell
23 23
 if [[ -z "$TOP_DIR" ]]; then
24
-    # Keep track of the devstack directory
24
+    # Keep track of the DevStack directory
25 25
     TOP_DIR=$(cd $(dirname "$0")/.. && pwd)
26 26
 
27 27
     # Import common functions
... ...
@@ -65,7 +65,7 @@ PACKAGES=$(get_packages general $ENABLED_SERVICES)
65 65
 PACKAGES="$PACKAGES $(get_plugin_packages)"
66 66
 
67 67
 if is_ubuntu && echo $PACKAGES | grep -q dkms ; then
68
-    # ensure headers for the running kernel are installed for any DKMS builds
68
+    # Ensure headers for the running kernel are installed for any DKMS builds
69 69
     PACKAGES="$PACKAGES linux-headers-$(uname -r)"
70 70
 fi
71 71
 
... ...
@@ -6,13 +6,13 @@
6 6
 
7 7
 set -ex
8 8
 
9
-# Keep track of the devstack directory
9
+# Keep track of the DevStack directory
10 10
 TOP_DIR=$(cd $(dirname "$0")/.. && pwd)
11 11
 
12 12
 NAME=$1
13 13
 CPU=$2
14 14
 MEM=$(( 1024 * $3 ))
15
-# extra G to allow fuzz for partition table : flavor size and registered size
15
+# Extra G to allow fuzz for partition table : flavor size and registered size
16 16
 # need to be different to actual size.
17 17
 DISK=$(( $4 + 1))
18 18
 
... ...
@@ -9,7 +9,7 @@ set -exu
9 9
 
10 10
 LIBVIRT_CONNECT_URI=${LIBVIRT_CONNECT_URI:-"qemu:///system"}
11 11
 
12
-# Keep track of the devstack directory
12
+# Keep track of the DevStack directory
13 13
 TOP_DIR=$(cd $(dirname "$0")/.. && pwd)
14 14
 BRIDGE_SUFFIX=${1:-''}
15 15
 BRIDGE_NAME=brbm$BRIDGE_SUFFIX
... ...
@@ -19,7 +19,7 @@ export VIRSH_DEFAULT_CONNECT_URI="$LIBVIRT_CONNECT_URI"
19 19
 # Only add bridge if missing
20 20
 (sudo ovs-vsctl list-br | grep ${BRIDGE_NAME}$) || sudo ovs-vsctl add-br ${BRIDGE_NAME}
21 21
 
22
-# remove bridge before replacing it.
22
+# Remove bridge before replacing it.
23 23
 (virsh net-list | grep "${BRIDGE_NAME} ") && virsh net-destroy ${BRIDGE_NAME}
24 24
 (virsh net-list --inactive  | grep "${BRIDGE_NAME} ") && virsh net-undefine ${BRIDGE_NAME}
25 25
 
... ...
@@ -14,8 +14,8 @@
14 14
 # License for the specific language governing permissions and limitations
15 15
 # under the License.
16 16
 
17
-# This is an output filter to filter and timestamp the logs from grenade and
18
-# devstack. Largely our awk filters got beyond the complexity level which were
17
+# This is an output filter to filter and timestamp the logs from Grenade and
18
+# DevStack. Largely our awk filters got beyond the complexity level which were
19 19
 # sustainable, so this provides us much more control in a single place.
20 20
 #
21 21
 # The overhead of running python should be less than execing `date` a million
... ...
@@ -32,7 +32,7 @@ HAS_DATE = re.compile('^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}.\d{3} \|')
32 32
 
33 33
 def get_options():
34 34
     parser = argparse.ArgumentParser(
35
-        description='Filter output by devstack and friends')
35
+        description='Filter output by DevStack and friends')
36 36
     parser.add_argument('-o', '--outfile',
37 37
                         help='Output file for content',
38 38
                         default=None)
... ...
@@ -52,7 +52,7 @@ def main():
52 52
     if opts.outfile:
53 53
         outfile = open(opts.outfile, 'a', 0)
54 54
 
55
-    # otherwise fileinput reprocess args as files
55
+    # Otherwise fileinput reprocess args as files
56 56
     sys.argv = []
57 57
     while True:
58 58
         line = sys.stdin.readline()
... ...
@@ -63,9 +63,9 @@ def main():
63 63
         if skip_line(line):
64 64
             continue
65 65
 
66
-        # this prevents us from nesting date lines, because
67
-        # we'd like to pull this in directly in grenade and not double
68
-        # up on devstack lines
66
+        # This prevents us from nesting date lines, because
67
+        # we'd like to pull this in directly in Grenade and not double
68
+        # up on DevStack lines
69 69
         if HAS_DATE.search(line) is None:
70 70
             now = datetime.datetime.utcnow()
71 71
             line = ("%s | %s" % (
... ...
@@ -19,7 +19,7 @@ while getopts ":a" opt; do
19 19
     esac
20 20
 done
21 21
 
22
-# Keep track of the current devstack directory.
22
+# Keep track of the current DevStack directory.
23 23
 TOP_DIR=$(cd $(dirname "$0") && pwd)
24 24
 FILES=$TOP_DIR/files
25 25